An element of this sequence is defined to be an Eulercoin if it is strictly smaller than all previously found Eulercoins. For example, the first term is which is the first Eulercoin. The second term is which is greater than so is not an Eulercoin. However, the third term is which is small enough to be a new Eulercoin. It runs almost 3 minutes 44 seconds on my machine, the code is written in Python. In my algorithm, the crucial part is to find the inverse of the number. That is , and to find the inverse, I use xgcd function. For sure, if you want to run the program, you should use Solve function shown in comments section. The program runs just brute force method 10 seconds after that the algorithm changes as described in the main function. The print-out above uses brute force method which runs 10 seconds, after that the code finds the smaller coin than the last one which is and the closest index number to

## Dynamic Programming

## Notes on math, coding, and other stuff

Euler's Disk , invented between and by Joseph Bendik, [1] is a trademark for a scientific educational toy. Joseph Bendik first noted the interesting motion of the spinning disk while working at Hughes Aircraft Carlsbad Research Center after spinning a heavy polishing chuck on his desk at lunch one day. The spinning effect was so dramatic that he immediately called his friend and co-worker Richard Henry Wyles to take a look.

### MY POSTS 30 BY 30

Problem 78 of Project Euler has been in my scope for a long time, since it is the first exercise on the list which is solved by less than people at the time of writing this post. The problem reads. The answer to that lies in the fact that I was reading the problem description a good while ago since as mentioned earlier it is the first problem which has been solved by less than people. So before starting on the problem I had a very good idea where I should look for a possible solution. But you can start at wikipedia for info. My first implementation of the code for the generating function included the use of the BigInteger class. However that becomes cumbersome. So we want to eliminate that. However, since we are not interested in finding the actual number of partitions but just the first one divisible by 1. So we just take modulo of 1.

This problem is a typical case of dynamic programming. Let's follow the normal way of solving such a problem; we identify a small sub-problem and build a table for all possible values. When we begin with 1p, how many ways are there to change it with 1p coins, 2p coins and so on?